@import './background.css';
@import './masonry.css';

:root {
    --hover-blue: #45c7ff;
    --default-blue: #437efd;

    --font-kai: 'LXGWWenKai', sans-serif;
    --font-hei: 'LXGWNeoHei', sans-serif;

    --color-gray-text: gray;
    --color-gray-blue: #73809b;

    --border-radius-default: 0.75rem;

    --grid-color: rgba(99, 116, 155, 0.1);
    --grid-size: 2em;
}

html {
  scroll-padding-top: 4em;
}

body {
    position: relative;
}

.is-default-blue {
    color: var(--default-blue) !important;
}

.is-gray-blue {
    color: var(--color-gray-blue) !important;
}

@font-face {
    font-family: 'JetBrains Mono';
    src: url('/assets/font/JetBrainsMono-Regular.woff2') format('woff2');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'JetBrains Mono';
    src: url('/assets/font/JetBrainsMono-ExtraBold.woff2') format('woff2');
    font-weight: bold;
    font-style: normal;
}

@font-face {
    font-family: 'LXGWWenKai';
    src: url('/assets/font/LXGWWenKaiLite-Medium.woff2') format('woff2');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'LXGWNeoHei';
    src: url('/assets/font/NeoXiHeiCode-Regular.woff2') format('woff2');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'LXGWWenKaiMono';
    src: url('/assets/font/LXGWWenKaiMono-Medium.woff2') format('woff2');
    font-weight: normal;
    font-style: normal;
}

@media screen and (max-width: 768px) {
    .hide-on-phone {
        display: none !important;
    }
    .post-block .post-img{
        display: none;
    }
    .post-block-big .post-img{
        width: 100% !important;
        height: 20rem;
    }
}

.is-font-kai {
    font-family: var(--font-kai) !important;
}

.is-font-hei {
    font-family: var(--font-hei) !important;
}

h1, h2, h3, h4, h5, h6 {
    font-family: var(--font-hei);
    scroll-margin-top: 7rem;
    scroll-margin-bottom: 7rem;
}

.left-border {
    border-left: 5px solid var(--default-blue);
    padding-left: 1rem;
}

/* 文章图片 */
figure {
    margin: 1em 0 !important;
}

figure p {
    margin: 0 !important;
}

p img {
    border-radius: var(--border-radius-default) !important;
}

/* 文章图片 */
.post-img, .post-img img {
    margin: 0;
    border-radius: var(--border-radius-default) !important;
}

figcaption {
    font-size: 0.8rem;
    margin-bottom: 1em;
    text-align: center;
    color: var(--color-gray-blue);
    font-style: normal !important;
}

/* 音乐卡片 */
.music-block {
    background-color: transparent !important;
    border-radius: var(--border-radius-default);
    position: relative;
    overflow: hidden;
}

.music-block a {
    text-decoration: none !important;
}

.music-block .title a{
    text-decoration: none !important;
}

.music-logo {
    position: absolute;
    right: 0;
    top: 50%;
    transform: translateX(0%) translateY(-45%);
    margin: 0;
}

.music-logo img {
    margin: 0;
    height: 30em;
    border-radius: var(--border-radius-default);
    opacity: 0.7;
    -webkit-mask-image: linear-gradient(to right, transparent 0%, black 70%);
    mask-image: linear-gradient(to right, transparent 0%, black 70%);
    transition: transform 0.3s ease, opacity 0.3s ease;
}

.music-logo img:hover {
    transform: scale(1.05);
    opacity: 1;
}

/* 目录 */

.toc {
    position: sticky;
    top: 5rem;
}

.toc-title {
    font-size: 1em;
    font-weight: bold;
    cursor: pointer;
}

.toc-back-to-top {
    position: sticky;
    top: 57rem;
}

.toc-item {
    font-size: 0.75em;
}

.is-hidden {
    display: none;
}

.toc-active {
    font-weight: bold;
}

/* 文章卡片 */
.post-block .post-img{
    width: 10rem;
    height: 10rem;
    border-radius: var(--border-radius-default);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
}

/* 文章卡片-推荐 */
.post-block-recommend {
    border-radius: var(--border-radius-default);
    transition: all 0.1s ease-in-out;
    transition-property: transform shadow;
    transition-timing-function: cubic-bezier(.4, 0, .2, 1);
}

.post-block-recommend:hover {
    background-color: hsl(221, 14%, 98%);
    transform: translateY(-0.2rem);
    box-shadow: 0 0 10px rgba(33, 33, 33, 0.07);
}

/* 文章卡片-大 */
.post-block-big .post-img{
    width: 20rem;
    height: 13rem;
    border-radius: var(--border-radius-default);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
}


/* 推荐内容 */
.recommend-content {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

/* 404 页面 */
.not-found{
    font-size: 10rem;
}

/* 参考文献 */
.bibliography li{
    font-size: 0.8rem;
    margin-top: 0.8rem;
}

.bibliography li::marker{
    content: "";
}

.citation{
    color: var(--default-blue) !important;
    position: relative;
    vertical-align: middle !important;
    top: -0.4em;
    font-size: 0.8em;
}

/* 导航栏 */
.navbar-item.is-tab:focus, .navbar-item.is-tab:hover {
    border-bottom-color: var(--default-blue) !important;
}

/* Index 标题 */
.hero-fade-content {
    position: fixed !important;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -70%);
    z-index: -1;
    pointer-events: none;
    text-align: center;
}

.hero-fade-content .title {
    font-size: 8em !important;
}

.hero-fade-content .subtitle {
    font-size: 4em !important;
}

@media screen and (max-width: 768px) {
    .hero-fade-content .title {
        font-size: 2.5em !important;
    }

    .hero-fade-content .subtitle {
        font-size: 1.5em !important;
    }

    .hero-fade-content .block {
        display: none !important;
    }

    .status .column .title{
        font-size: 1.2em;
    }

    #status-update {
        display: none;
    }
}

/* 教育经历 */
.edu-block {
    background-color: transparent !important;
    border-radius: var(--border-radius-default);
    /* border: 2px solid var(--grid-color); */
    position: relative;
    overflow: hidden;
}

.edu-logo {
    position: absolute;
    right: 0;
    top: 50%;
    transform: translateX(55%) translateY(-45%);
    margin: 0;
}

.edu-logo img {
    margin: 0;
    height: 7rem;
    border-radius: var(--border-radius-default);
    opacity: 0.5;
}

/* 文章返回按钮 */
.post-back-button {
    position: sticky;
    top: 5rem;
    text-align: right;
}